Katello - Bug #6080

Systems registering without an environment should land in the Library
06/05/2014 06:47 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Client/Agent
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1103020 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/449
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1103020
If you try and register without an --env specified with subscription-manager you get errors and the system will not register.

The only way to get around that is to register with an --env flag.

We need to simplify this because registration and content access is far to difficult. Requiring either an activation key or env adds
additional difficulty that can be avoided by having all systems registered without an --env defaulting to the Library environment.

Lets force all systems registered without a specified environment land in Library

Associated revisions

Revision 71400565 - 06/06/2014 06:52 PM - Eric Helms
Fixes #6080, #6081, #6082: Fixing registration including adding back default organization.

Addresses the following BZs: BZ1103020, BZ1095925, BZ1096068

Addresses a number of issues that have crept up recently with registration
and attempts to support the following:

1. User specifies an organization. * User must belong to the organization * The consumer will register to the Library of that organization.
2. User does not specify an organization. * User must have a default organization set. * The consumer will register to the Library of the users
default

organization.

3. User specifies an organization and an environment.  * The user must belong to the organization * The user must have view on the environment
* The user must have create on content hosts in that organization

Revision cdaede5e - 06/09/2014 10:41 PM - Eric Helms
Merge pull request #4223 from ehelms/fixes-6080

Fixes #6080, #6081, #6082: Fixing registration including adding back def...

History

#1 - 06/05/2014 06:50 PM - Eric Helms
- Category set to Client/Agent
- Target version set to 45

- Triaged set to Yes

#2 - 06/09/2014 10:52 PM - Eric Helms
- Status changed from New to Closed

- % Done changed from 0 to 100
https://bugzilla.redhat.com/show_bug.cgi?id=1103020

Applied in changeset katellojcommit:714005658410dbc66¢78c12901f20a2510c9200b.

#3 - 07/29/2014 05:31 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/4497 added

#4 - 08/22/2014 08:32 AM - Eric Helms

- translation missing: en.field_release set to 13
